<?php
/**
 * Copyright (C) 2021 Leipzig University Library
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * @author  Alexander Purr <purr@ub.uni-leipzig.de>
 * @license http://opensource.org/licenses/gpl-2.0.php GNU GPLv2
 */
use Zend\Form\Element\Date;

$main_config = require 'order-edit-form-basic.php';
unset($main_config['name']);

$additional_config = [
    'name'         => 'order-edit-form-complete',
    'elements'     => [
        'due_date'              => [
            'spec' => [
                'name'       => 'due_date',
                'type'       => Date::class,
                'options'    => [
                    'label' => 'order_label_due_date',
                ],
            ],
        ],
    ],
    'input_filter' => [
        'due_date' => [
            'name'     => 'due_date',
            'required' => false,
        ],
    ],
];

return array_merge_recursive($main_config, $additional_config);
