<?php
/**
 * Username change form model
 *
 * Copyright (C) 2019 Leipzig University Library
 *
 * PHP Version 7
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * @category VuFind
 * @package  Form_Model
 * @author   Gregor Gawol <gawol@ub.uni-leipzig.de>
 * @author   Sebastian Kehr <kehr@ub.uni-leipzig.de>
 * @license  http://opensource.org/licenses/gpl-2.0.php GNU GPLv2
 * @link     https://vufind.org/wiki/development Wiki
 */
namespace fid\FormModel;

/**
 * Username change form model
 *
 * @category VuFind
 * @package  Form_Model
 * @author   Gregor Gawol <gawol@ub.uni-leipzig.de>
 * @author   Sebastian Kehr <kehr@ub.uni-leipzig.de>
 * @license  http://opensource.org/licenses/gpl-2.0.php GNU GPLv2
 * @link     https://vufind.org/wiki/development Wiki
 */
class UsernameChangeModel
{
    /* @var string */
    protected $username;

    /* @var string */
    protected $usernameConfirmation;

    /* @var string */
    protected $submit;

    /**
     * Get username
     *
     * @return string
     */
    public function getUsername(): string
    {
        return $this->username;
    }

    /**
     * Set username
     *
     * @param string $username Username
     *
     * @return void
     */
    public function setUsername(string $username): void
    {
        $this->username = $username;
    }

    /**
     * Get username confirmation
     *
     * @return string
     */
    public function getUsernameConfirmation(): string
    {
        return $this->usernameConfirmation;
    }

    /**
     * Set username confirmation
     *
     * @param string $usernameConfirmation Username confirmation
     *
     * @return void
     */
    public function setUsernameConfirmation(string $usernameConfirmation): void
    {
        $this->usernameConfirmation = $usernameConfirmation;
    }

    /**
     * Get submit
     *
     * @return string
     */
    public function getSubmit(): string
    {
        return $this->submit;
    }

    /**
     * Set submit
     *
     * @param string $submit Submit value
     *
     * @return void
     */
    public function setSubmit(string $submit): void
    {
        $this->submit = $submit;
    }
}
