<?php
/**
 * FID adlr Record Controller Delegator Factory
 *
 * Copyright (C) Villanova University 2010.
 * Copyright (C) Leipzig University Library 2020.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2,
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * @category VuFind FID-adlr
 * @package  Controller
 * @author   Alexander Purr <purr@ub.uni-leipzig.de>
 * @license  http://opensource.org/licenses/gpl-2.0.php GNU General Public License
 */
namespace fid_adlr\Controller;

use fid\Service\Client;
use Interop\Container\ContainerInterface;
use Zend\ServiceManager\Factory\DelegatorFactoryInterface;
use Zend\Session\Container;

class RecordControllerDelegatorFactory extends \fid\Controller\RecordControllerDelegatorFactory
{
    public function __invoke(ContainerInterface $container, $name, callable $callback, array $options = null)
    {
        /** @var RecordController $instance */
        $instance = parent::__invoke($container, $name, $callback,$options);
        $session = new Container(
            'Record', $container->get('Zend\Session\SessionManager')
        );
        $instance->setSession($session);
        return $instance;
    }
}