<?php
/**
 * Record driver view helper
 *
 * PHP version 7
 *
 * Copyright (C) Leipzig University Library 2022
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2,
 * as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 * @category VuFind
 * @package  View_Helpers
 * @author   Alexander Purr <purr@ub.uni-leipzig.de>
 * @license  http://opensource.org/licenses/gpl-2.0.php GNU General Public License
 * @link     https://vufind.org/wiki/development Wiki
 */
namespace fid_adlr\View\Helper\Root;

/**
 * Record driver view helper
 *
 * @category VuFind
 * @package  View_Helpers
 * @author   Alexander Purr <purr@ub.uni-leipzig.de>
 * @license  http://opensource.org/licenses/gpl-2.0.php GNU General Public License
 * @link     https://vufind.org/wiki/development Wiki
 */
class Record extends \finc\View\Helper\Root\Record
{
    /**
     * Get the CSS class used to properly render an icon for given value
     *
     * @param string $key (identifier) Value to convert into CSS class. Default: null
     *
     * @return string
     */
    public function getRecordIconClass(string $key = "default"): string
    {
        /* change mapping key if record is SID = 51 */
        $sid = $this->driver->getSourceID();
        if ($sid == '51') {
            $key = 'bookebooklocal';
        }
        return parent::getRecordIconClass($key);
    }
}
