<?php
/**
 * Copyright (C) 2019 Leipzig University Library
 *
 * PHP Version 7
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * @category VuFind
 * @package  Themes
 * @author   Sebastian Kehr <kehr@ub.uni-leipzig.de>
 * @author   Dorian Merz <merz@ub.uni-leipzig.de>
 * @author   Gregor Gawol <gawol@ub.uni-leipzig.de>
 * @license  http://opensource.org/licenses/gpl-2.0.php GNU GPLv2
 * @link     https://vufind.org/wiki/development Wiki
 */

return [
    'extends' => 'finc',
    'helpers' => [
        'factories' => [
            'fid\View\Helper\Root\UserGroups' =>
                'fid\View\Helper\Root\UserGroupsViewHelperFactory',
            'fid\View\Helper\Root\GetIt' =>
                'fid\View\Helper\Root\GetItViewHelperFactory',
            'fid\View\Helper\Root\SearchTabs' =>
                'VuFind\View\Helper\Root\SearchTabsFactory',
            'VuFind\View\Helper\Root\RecordDataFormatter' =>
                'fid\View\Helper\Root\RecordDataFormatterFactory',
        ],
        'aliases' => [
            'usergroups' => 'UserGroups',
            'UserGroups' => 'fid\View\Helper\Root\UserGroups',
            'getit' => 'fid\View\Helper\Root\GetIt',
            'GetIt' => 'fid\View\Helper\Root\GetIt',
            'searchTabs' => 'fid\View\Helper\Root\SearchTabs',
        ]
    ],
];
