<?php
return [
    'extends' => 'finc-accessibility',
    'js' => [
        'check_item_statuses.js',
        'lightbox_form_cache.js',
        'covers.js',
        'common-finc.js'
    ],
    'helpers' => [
        'aliases' => [
            'branchInfo' => 'finc\View\Helper\Root\BranchInfo',
            'externalCatalogueLink' => 'finc\View\Helper\Root\ExternalCatalogueLink',
            'interlibraryloan' => 'finc\View\Helper\Root\InterlibraryLoanLink',
            'sideFacet' => 'finc\View\Helper\Root\SideFacet',
            'resultfeed' => 'finc\View\Helper\Root\ResultFeed',
            'recordLink' => 'finc\View\Helper\Root\RecordLink',
            'record' => 'finc\View\Helper\Root\Record',
            'flashmessages' => 'finc\View\Helper\Root\Flashmessages',
            'externalLink' => 'finc\View\Helper\Root\ExternalLink',
            'renderArray' => 'finc\View\Helper\Root\RenderArray',
        ],
        'factories' => [
            'finc\View\Helper\Root\BranchInfo' =>
                'finc\View\Helper\Root\BranchInfoViewHelperFactory',
            'finc\View\Helper\Root\ExternalCatalogueLink' =>
                'finc\View\Helper\Root\ExternalCatalogueLinkHelperFactory',
            'finc\View\Helper\Root\InterlibraryLoanLink' =>
                'finc\View\Helper\Root\ViewHelperFactory',
            'finc\View\Helper\Root\SideFacet' =>
                'finc\View\Helper\Root\SideFacetViewHelperFactory',
            'finc\View\Helper\Root\Record' =>
                'finc\View\Helper\Root\RecordViewHelperFactory',
            'finc\View\Helper\Root\RecordLink' =>
                'finc\View\Helper\Root\RecordLinkViewHelperFactory',
            'VuFind\View\Helper\Root\Citation' =>
                'finc\View\Helper\Root\CitationViewHelperFactory',
            'VuFind\View\Helper\Root\OpenUrl' =>
                'finc\View\Helper\Root\OpenUrlViewHelperFactory',
            'VuFind\View\Helper\Root\RecordDataFormatter' =>
                'finc\View\Helper\Root\RecordDataFormatterFactory',
            'finc\View\Helper\Root\ResultFeed' =>
                'VuFind\View\Helper\Root\ResultFeedFactory',
            'finc\View\Helper\Root\Flashmessages' =>
                'VuFind\View\Helper\Root\FlashmessagesFactory',
            'finc\View\Helper\Root\ExternalLink' =>
                \finc\View\Helper\Root\ViewHelperFactory::class,
            'finc\View\Helper\Root\RenderArray' =>
                \finc\View\Helper\Root\ViewHelperFactory::class
        ]
    ]
];
